from pprint import pprint

# A) slovníky vstupních dat
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        stát, lidí = line.strip().split(': ')
        lidi[stát] = lidí
print(len(lidi))    # 237

plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        stát, plocha = line.strip().split(': ')
        plochy[stát] = plocha
print(len(plochy))  # 261

# B) převod na množiny pro potřeby zjištění, které státy kde jsou
lidi_set = set(lidi)
plochy_set = set(plochy)

#print(plochy_set & lidi_set)
print(len(plochy_set & lidi_set))
print(lidi_set < plochy_set)

# c) hustota
hustota = {}
for stát, plocha in plochy.items():
    lidí = lidi.get(stát, 0)
    hustota[stát] = plocha, lidí, int(lidí) / float(plocha)
print(len(hustota))
pprint(hustota)
