# A) slovníky vstupních dat
lidi = {}
with open('staty_lidi.log', encoding='utf-8') as f:
    for line in f:
        stát, lidí = line.strip().split(': ')
        lidi[stát] = lidí

plochy = {}
with open('staty_plochy.log', encoding='utf-8') as f:
    for line in f:
        stát, plocha = line.strip().split(': ')
        plochy[stát] = plocha

# c) hustota
hustota = {}
for stát, plocha in plochy.items():
    lidí = lidi.get(stát, 0)
    hustota[stát] = plocha, lidí, int(lidí) / float(plocha)

# POZOR: Návratová hodnota z lambda-funkce musí být JEDEN prvek (tj. v závorkách), jinak se z druhého prvku té dvojce stane třetí parametr pro funkci 'sorted()' a nebude to fungovat!
for stát in sorted(hustota, key=lambda stát: (hustota[stát][-1], stát)):
    print(stát, hustota[stát])
